import Skypager from '.'

describe('Document Trees', function() {
  before(function() {
    if (!this.project) {
      this.project = Skypager.load(process.cwd(), {
        sync: false
      })
    }
  })

  it('creates an object tree from the docs', function() {
    const tree = this.project.documentsTree

    tree.should.be.an('object')

    tree.should.have.property('src')
      .that.is.an('object')
      .that.has.a.property('selectors')
      .that.is.an('object')
      .that.has.a.property('project')

    tree.should.have.property('src')
      .that.is.an('object')
      .that.has.a.property('middlewares')
      .that.is.an('object')
      .that.has.a.property('registries')
  })

})
